> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List company expenses



## OpenAPI

````yaml GET /expense-management/v1/expenses
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /expense-management/v1/expenses:
    get:
      tags:
        - Expense Management
      summary: List company expenses
      operationId: ListCompanyExpenses
      parameters:
        - in: query
          name: employeeId
          description: Filter expenses by employee id
          schema:
            type: string
            format: uuid
        - in: query
          name: from
          description: From date
          schema:
            type: string
            format: date
        - in: query
          name: to
          description: To date
          schema:
            type: string
            format: date
        - in: query
          name: paymentMethodIds
          description: Payment method
          schema:
            type: string
        - in: query
          name: status
          description: Expense status
          schema:
            type: string
            enum:
              - pending
              - accepted
              - rejected
              - pending_info
              - personal
        - in: query
          name: limit
          description: Limit work entries
          schema:
            type: integer
            default: 20
        - name: page
          in: query
          description: Request a specific page
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Expenses
          content:
            application/json:
              schema:
                type: object
                properties:
                  expenses:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        employee:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                            firstName:
                              type: string
                              example: Nombre de empleado
                            lastName:
                              type: string
                              example: Apellidos de empleado
                            imageProfileURL:
                              type: string
                              example: >-
                                https://www.sesamehr.com/wp-content/uploads/2024/01/sesamehr-logo.svg
                        companyName:
                          type: string
                          example: Razón social
                        cif:
                          type: string
                          example: B9368795
                        address:
                          type: object
                          properties:
                            address:
                              type: string
                              example: Calle principal 1-10
                            zip:
                              type: string
                              example: '46001'
                            city:
                              type: string
                              example: Valencia
                        serialNumber:
                          type: string
                          example: '123456'
                        date:
                          type: string
                          format: date
                          example: '2024-12-10T18:05:59+00:00'
                        category:
                          type: object
                          properties:
                            id:
                              type: string
                              example: cfce9e78-bd0b-45ef-8dc3-8e2b1057896d
                            name:
                              type: string
                              example: accommodation
                        paymentMethod:
                          type: object
                          properties:
                            id:
                              type: string
                              nullable: true
                              example: 6a22d5db-e720-4e93-acf5-f358dce5479b
                            name:
                              type: string
                              example: card
                        type:
                          type: string
                          example: ticket
                        description:
                          type: string
                          example: Descripción del gasto
                        totalImport:
                          type: number
                          format: float
                          example: 1025.33
                        currency:
                          type: string
                          example: EUR
                        expenseTaxes:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                                example: 2b0de902-8dad-4486-a5b2-c53bd444bc58
                              percentage:
                                type: number
                                format: integer
                                example: 21
                              taxBase:
                                type: number
                                format: float
                                example: 300.25
                              taxId:
                                type: string
                                format: uuid
                                example: da75fbf7-a85a-47bd-afbc-0e903777212f
                              taxType:
                                type: string
                                example: IVA General
                              categoryId:
                                type: string
                                format: uuid
                                example: cfce9e78-bd0b-45ef-8dc3-8e2b1057896d
                              category:
                                type: string
                                example: accommodation
                        state:
                          type: string
                          example: inbox
                        status:
                          type: string
                          example: accepted
                        paymentStatus:
                          type: string
                          example: booked
                        refundResolvedBy:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                            firstName:
                              type: string
                              example: Nombre de empleado
                            lastName:
                              type: string
                              example: Apellidos de empleado
                            imageProfileURL:
                              type: string
                              example: >-
                                https://www.sesamehr.com/wp-content/uploads/2024/01/sesamehr-logo.svg
                        rejectedReason:
                          type: string
                          example: concepto no válido
                        comment:
                          type: string
                          example: >-
                            Se debe reflejar correctamente los conceptos en el
                            documento
                        ticketLost:
                          type: boolean
                          example: false
                        parentId:
                          type: string
                          format: uuid
                          example: edea08b4-c710-4bee-a701-6d479b93492c
                        children:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                                example: edea08b4-c710-4bee-a701-6d479b93492c
                              concept:
                                type: string
                                example: Concepto del gasto
                              category:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    example: cfce9e78-bd0b-45ef-8dc3-8e2b1057896d
                                  name:
                                    type: string
                                    example: accommodation
                              date:
                                type: string
                                format: date
                                example: '2024-12-10T18:05:59+00:00'
                              amountValue:
                                type: number
                                format: float
                                example: 125.5
                              amountCurrency:
                                type: string
                                example: EUR
                        mileage:
                          type: number
                          format: float
                          example: 12560
                        routes:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                                example: fb91e77e-bd64-4fc0-b09c-6a63b2cf8f0a
                              address:
                                type: string
                                example: Calle Principal 10-22 46960 - Valencia España
                              lat:
                                type: number
                                format: float
                                example: 39.4699
                              lng:
                                type: number
                                format: float
                                example: -0.3763
                              position:
                                type: number
                                format: int
                                example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````